import request from '@/utils/request'

// 查询物品借用申请列表
export function listApply(query) {
  return request({
    url: '/material/apply/list',
    method: 'get',
    params: query
  })
}

// 查询物品借用申请详细
export function getApply(id) {
  return request({
    url: '/material/apply/' + id,
    method: 'get'
  })
}

// 新增物品借用申请
export function addApply(data) {
  return request({
    url: '/material/apply',
    method: 'post',
    data: data
  })
}

// 修改物品借用申请
export function updateApply(data) {
  return request({
    url: '/material/apply',
    method: 'put',
    data: data
  })
}
// 审核借用申请
export function approve(data) {
  return request({
    url: '/material/apply/check',
    method: 'put',
    data: data
  })
}

// 删除物品借用申请
export function delApply(id) {
  return request({
    url: '/material/apply/' + id,
    method: 'delete'
  })
}
//查项目和用户关系
export function selectProjectUser() {
  return request({
    url: '/material/apply/selectuser',
    method: 'get',
  })
}
