import request from '@/utils/request'

// 查询物品入库信息列表
export function listEntry(query) {
  return request({
    url: '/psa/entry/list',
    method: 'get',
    params: query
  })
}
// 查询草稿箱列表
export function listDraftEntry(query) {
  return request({
    url: '/psa/entry/list/draft',
    method: 'get',
    params: query
  })
}
// 查询物品入库信息详细
export function getEntry(id) {
  return request({
    url: '/psa/entry/' + id,
    method: 'get'
  })
}

// 新增物品入库信息
export function addEntry(data) {
  return request({
    url: '/psa/entry',
    method: 'post',
    data: data
  })
}
// 保存入库信息到草稿
export function addDraft(data) {
  return request({
    url: '/psa/entry/draft',
    method: 'post',
    data: data
  })
}
// 提交草稿
export function addDraftSubmit(data) {
  return request({
    url: '/psa/entry/add/draft',
    method: 'post',
    data: data
  })
}
// 修改物品入库信息
export function updateEntry(data) {
  return request({
    url: '/psa/entry',
    method: 'put',
    data: data
  })
}

// 删除物品入库信息
export function delEntry(id) {
  return request({
    url: '/psa/entry/' + id,
    method: 'delete'
  })
}

