import request from '@/utils/request'

// 查询物品信息列表
export function listMaterial(query) {
  return request({
    url: '/psa/material/list',
    method: 'get',
    params: query
  })
}

// 查询草稿箱列表
export function listMaterialDraft(query) {
  return request({
    url: '/psa/material/list/draft',
    method: 'get',
    params: query
  })
}

// 查询物品信息详细
export function getMaterial(materialId) {
  return request({
    url: '/psa/material/' + materialId,
    method: 'get'
  })
}

// 新增物品信息
export function addMaterial(data) {
  return request({
    url: '/psa/material',
    method: 'post',
    data: data
  })
}

// 修改物品信息
export function updateMaterial(data) {
  return request({
    url: '/psa/material',
    method: 'put',
    data: data
  })
}

// 删除物品信息
export function delMaterial(materialId) {
  return request({
    url: '/psa/material/' + materialId,
    method: 'delete'
  })
}
//类别列表
export function listMaterialType() {
  return request({
    url: '/psa/material/type/list',
    method: 'get',
  })
}
//类下物列表
export function listMaterialTypeDetail() {
  return request({
    url: '/psa/material/type/detail/list',
    method: 'get',
  })
}


