import request from '@/utils/request'

// 查询物品归还申请列表
export function listReturn(query) {
  return request({
    url: '/material/return/list',
    method: 'get',
    params: query
  })
}

// 查询物品归还申请详细
export function getReturn(id) {
  return request({
    url: '/material/return/' + id,
    method: 'get'
  })
}

// 新增物品归还申请
export function addReturn(data) {
  return request({
    url: '/material/return',
    method: 'post',
    data: data
  })
}

// 修改物品归还申请
export function updateReturn(data) {
  return request({
    url: '/material/return',
    method: 'put',
    data: data
  })
}

// 修改物品归还申请
export function approve(data) {
  return request({
    url: '/material/return/check',
    method: 'put',
    data: data
  })
}

// 删除物品归还申请
export function delReturn(id) {
  return request({
    url: '/material/return/' + id,
    method: 'delete'
  })
}
